Commit a62e17fb authored by Jan Kiene's avatar Jan Kiene
Browse files

Merge branch 'ci/update-main-from-basop-ci-branch' into 'main'

[CI] update main from basop ci branch to fix float complexity measurements pipeline

See merge request !1898
parents c5f6333f 2e2c0903
Loading
Loading
Loading
Loading
Loading
+15 −8
Original line number Diff line number Diff line
@@ -456,24 +456,31 @@ check-compatibility-with-basop-reference-branch:
    - cp ivas-basop/IVAS_dec ./IVAS_dec # Not used but needed to launch the pytest
    - python3 ci/remove_unsupported_testcases.py scripts/config/self_test.prm
    - python3 tests/create_short_testvectors.py
    - exit_code1=0
    - exit_code2=0
    - python3 -m pytest tests/codec_be_on_mr_nonselection -v --update_ref 1 --html=report.html --self-contained-html --junit-xml=report-junit.xml || exit_code1=$?
    - zero_errors=$(cat report-junit.xml | grep -c 'errors="0"') || true
    - if [ $zero_errors != 1 ]; then echo "Run errors encountered!"; exit $EXIT_CODE_FAIL; fi

    - python3 -m pytest tests/codec_be_on_mr_nonselection --param_file scripts/config/self_test.prm -v --update_ref 1 --html=report-selftest-full.html --self-contained-html --junit-xml=report-junit-selftest-full.xml || true
    - zero_errors=$(cat report-junit-selftest-full.xml | grep -c 'errors="0"') || true
    - if [ $zero_errors != 1 ]; then echo "Run errors encountered with scripts/config/self_test.prm !"; exit $EXIT_CODE_FAIL; fi

    - python3 -m pytest tests/codec_be_on_mr_nonselection --param_file scripts/config/self_test_basop_encoder.prm -v --update_ref 1 --html=report-selftest-basop-encoder.html --self-contained-html --junit-xml=report-junit-selftest-basop-encoder.xml || true
    - zero_errors=$(cat report-junit-selftest-basop-encoder.xml | grep -c 'errors="0"') || true
    - if [ $zero_errors != 1 ]; then echo "Run errors encountered with scripts/config/self_test_basop_encoder.prm !"; exit $EXIT_CODE_FAIL; fi

    - exit 0
  artifacts:
    name: "check-float-reference--sha-$CI_COMMIT_SHORT_SHA--results"
    when: always
    expire_in: 1 month
    paths:
      - report-junit.xml
      - report.html
      - report-junit-selftest-full.xml
      - report-junit-selftest-basop-encoder.xml
      - report-selftest-full.html
      - report-selftest-basop-encoder.html

    expose_as: "check-float-reference results"
    reports:
      junit:
        - report-junit.xml
        - report-junit-selftest-full.xml
        - report-junit-selftest-basop-encoder.xml

# ---------------------------------------------------------------
# Build jobs
+14 −4
Original line number Diff line number Diff line
@@ -29,11 +29,11 @@
# the United Nations Convention on Contracts on the International Sales of Goods.

function usage {
  echo "Usage: $0 \"ivas-format(s)\" \"output-format(s)\" \"mode{full(default)|mem_only}\" \"repo{float(default)|basop}\" "
  echo "Usage: $0 \"ivas-format(s)\" \"output-format(s)\" \"mode{full(default)|mem_only}\" \"repo{float(default)|basop}\" [wmops_ref_logfile]"
  exit 1
}

if [ $# -ne 2 ] && [ $# -ne 3 ] && [ $# -ne 4 ]; then
if [ $# -ne 2 ] && [ $# -ne 3 ] && [ $# -ne 4 ] && [ $# -ne 5 ]; then
  usage
fi

@@ -50,7 +50,7 @@ if [ $# -ge 3 ]; then
fi

repo_arg_script=""
if [ $# -eq 4 ]; then
if [ $# -ge 4 ]; then
  if [ "$4" = "basop" ]; then
    repo_arg_script="--basop"
  elif [ "$4" != "float" ]; then
@@ -58,6 +58,11 @@ if [ $# -eq 4 ]; then
  fi
fi

wmops_ref_logfile=""
if [ $# -eq 5 ]; then
  wmops_ref_logfile=$5
fi

date=$(date +%Y%m%d)                           # used for log-file file ending
shortDate=$(date "+%b %d" | sed -e "s/\ /_/g") # stored in the log-file
fullDate=$(date "+%c" | sed -e "s/\ /_/g")     # stored in the log-file
@@ -106,7 +111,12 @@ ${scriptDir}/mergeNewsletterRom.py ${wmopsFilenameFlc}_PROM.csv ${wmopsFilenameF
${scriptDir}/parseNewsletterRom.py ${wmopsFilenameFlc}_PROM.csv ${wmopsFilenameFlc}_TROM.csv ${wmopsFilenameFlcLast}_ROM.csv ${commit_sha} ${shortDate} ${fullDate} >>${destDir}/wmops/log_rom_all.txt

# generate javascript code from log files
# pass the ref log for comparison only if arg is given
if [ "$wmops_ref_logfile" != "" ]; then
  python3 ci/complexity_measurements/genWebpageData.py ${destDir}/wmops/log_wmops_all.txt ${wmopsFilenameFlc}_WMOPS.csv ${destDir}/wmops/log_rom_all.txt ${destDir}/wmops/log_ram_all.txt --wmops_per_op_log_for_comparison $wmops_ref_logfile
else
  python3 ci/complexity_measurements/genWebpageData.py ${destDir}/wmops/log_wmops_all.txt ${wmopsFilenameFlc}_WMOPS.csv ${destDir}/wmops/log_rom_all.txt ${destDir}/wmops/log_ram_all.txt
fi

python3 ${scriptDir}/check_for_changes.py ${destDir}/wmops/log_wmops_all.txt ${destDir}/wmops/log_ram_all.txt ${destDir}/wmops/log_rom_all.txt
if [ "$?" != "0" ]; then
+1121 −0

File added.

Preview size limit exceeded, changes collapsed.